function show_popup_window(window_id) {
	var window_width = jQuery(window).width();
	var margin_top = parseInt(jQuery(window_id).height())/2;
	var margin_left = parseInt(jQuery(window_id).width())/2;
	jQuery(window_id).css('margin-top', -margin_top);
	if(window_width >= 787) {
		jQuery(window_id).css('margin-left', -margin_left);
	}else{
		jQuery(window_id).css('left', 'auto');
	}
	jQuery(window_id).show();
	jQuery('.popup-window-overlay').show();
}

jQuery(document).ready(function() {

	jQuery('.select_geo_city').click(function(e) {

		e.preventDefault();

		city_name = jQuery(this).data('name');
		back_url = jQuery(this).data('back-url');

		var data = { 
			action: 'write_city_cookie',
			city_name: city_name,
		}
		jQuery.post(belingoGeo.ajaxurl, data, function(response) {
			if(back_url == '/') {
				location.reload();
			}else{
				location.href = belingoGeo.homeurl + '/' + city_name + back_url;
			}
		});
	});

	jQuery('.continue-without-geo').click(function(e) {
		e.preventDefault();
		var data = { 
			action: 'write_nogeo_cookie'
		}
		jQuery.post(belingoGeo.ajaxurl, data, function(response) {
			location.reload();
		});
	});

	jQuery('#geolocationChangeCity, .geolocationChangeCity').click(function() {
		show_popup_window('#cityChange');
	});

	jQuery('.popup-window-close-icon').click(function() {
    	jQuery('.popup-window').hide();
    	jQuery('.popup-window-overlay').hide();
	});

})